TJBENCH(1)

NAME
tjbench - benchmark the performance of libjpeg-turbo

DESCRIPTION
tjbench is a JPEG decompression/compression benchmark part of libjpeg-turbo.

USAGE

    tjbench <Inputimage (BMP|PPM)> <Quality> [options]

    tjbench <Inputimage (JPG)> [options]

OPTIONS
-alloc = Dynamically allocate JPEG buffers -bmp = Use Windows Bitmap format for output images [default = PPM] -bottomup = Use bottom-up row order for packed-pixel source/destination buffers -tile = Compress/transform the input image into separate JPEG tiles of varying

    sizes (useful for measuring JPEG overhead)

-rgb, -bgr, -rgbx, -bgrx, -xbgr, -xrgb =

    Use the specified pixel format for packed-pixel source/destination buffers [default = BGR]

-cmyk = Indirectly test YCCK JPEG compression/decompression

    (use the CMYK pixel format for packed-pixel source/destination buffers)

-fastupsample = Use the fastest chrominance upsampling algorithm available -fastdct = Use the fastest DCT/IDCT algorithm available -accuratedct = Use the most accurate DCT/IDCT algorithm available -progressive = Use progressive entropy coding in JPEG images generated by

    compression and transform operations

-subsamp <s> = When compressing, use the specified level of chrominance

    subsampling (<s> = 444, 422, 440, 420, 411, or GRAY) [default = test Grayscale, 4:2:0, 4:2:2, and 4:4:4 in sequence]

-quiet = Output results in tabular rather than verbose format -yuv = Compress from/decompress to intermediate planar YUV images -yuvpad <p> = The number of bytes by which each row in each plane of an

    intermediate YUV image is evenly divisible (must be a power of 2) [default = 1]

-scale M/N = When decompressing, scale the width/height of the JPEG image by a

    factor of M/N (M/N = 2/1, 15/8, 7/4, 13/8, 3/2, 11/8, 5/4, 9/8, 1/1, 7/8, 3/4, 5/8, 1/2, 3/8, 1/4, or 1/8)

-hflip, -vflip, -transpose, -transverse, -rot90, -rot180, -rot270 =

    Perform the specified lossless transform operation on the input image prior to decompression (these operations are mutually exclusive)

-grayscale = Transform the input image into a grayscale JPEG image prior to

    decompression (can be combined with the other transform operations above)

-copynone = Do not copy any extra markers (including EXIF and ICC profile data)

    when transforming the input image

-benchtime <t> = Run each benchmark for at least <t> seconds [default = 5.0] -warmup <t> = Run each benchmark for <t> seconds [default = 1.0] prior to

    starting the timer, in order to prime the caches and thus improve the consistency of the benchmark results

-componly = Stop after running compression tests. Do not test decompression. -nowrite = Do not write reference or output images (improves consistency of

    benchmark results)

-limitscans = Refuse to decompress or transform progressive JPEG images that

    have an unreasonably large number of scans

-stoponwarning = Immediately discontinue the current

    compression/decompression/transform operation if a warning (non-fatal error) occurs

NOTE: If the quality is specified as a range (e.g. 90-100), a separate test will be performed for all quality values in the range.

COMMENT
This manual page was written by Mathieu Malaterre <malat@debian.org> for the Debian GNU/Linux system, but may be used by others.

COPYRIGHT
Copyright (C)2009-2019, 2021 D. R. Commander. All Rights Reserved.